Libgl1-nvidia-glx:i386 nie działa poprawnie


(vonAbecadlovitz) #1

Witam, mam następujący problem z debianem 8.5:

Gdy instaluję steam na noveau wszystko działa, po zainstalowaniu sterownika nvidii z jessie-backports steam krzyczy, że brakuje mu libgl1.so. Gdy instaluję go, po restarcie komputera, debian każe podać login i hasło będąc w trybie tekstowym. Po reinstalacji nadal krzyczy o brak biblioteki, jednak na razie jej nie instaluję (nie mam czasu dziś na ewentualną reinstalkę). Dodam, że na debianie 8.4 steam działał. Jeśli to ma znaczenie to środowisko to xfce 4.10, CPU intel i5 4660, GPU gtx 970, RAM 8gb crucial balistix.


(ra-v) #2

A czy po instalacji libgl1.so w ogóle jest na dysku, w /usr/lib(32) lub /lib(32)?


(vonAbecadlovitz) #3

Nie. Teraz zauważyłem że przy instalacji jak i dezinstalacji terminal wypluwa to: http://wklej.org/id/2862434/


(saturno) #4

Podaj dokładnie pełny komunikat błędu.

Chodzi o: libgl1.so czy o: libgl1.so.1 ?

Jaki konkretnie pakiet instalujesz?


(vonAbecadlovitz) #5

Cały proces instalacji podam jutro po południu, na razie komp mi potrzebny sprawny. Chodzi o libgl1.so.1 a pakiet taki jak w nazwie tematu czyli libgl1-nvidia-glx:i386


(vonAbecadlovitz) #6

Cały proces instalacji: http://wklej.org/id/2865460/


(saturno) #7

Długo LInuksa nie poużywasz jak będziesz bezmyślnie zatwierdzał wyniki polecenia!

W zaplanowanych zmianach miałeś usunięcie min.: task-desktop, xorg, nvidia-driver

To tak jakbyś w Windowsie chciał odinstalować: IE i DirectX

Widziałeś że w było coś nie tak to było przedstawić tu wynik polecenia, a polecane zmiany anulować.

 

Zamiast: aptitude zalecałbym używać: apt-get (sam używam: synaptic).

  1. Pokaż wynik polecenia:

    dpkg --print-architecture && dpkg --print-foreign-architectures

  2. Steam instalowany z repozytorium?


(vonAbecadlovitz) #8

Mój błąd, obiecuję poprawę :wink: Myślałem że kopiuj-wklej z wiki debiana będzie bezproblemowe, a tu zonk!

 

1. http://wklej.org/id/2866094/

  1. Tak.

 

Edit1:

Dziękuję bardzo za pomoc, już wszystko działa :wink: Temat do zamknięcia.


(saturno) #9
tom@dhcppc0:~$ apt-cache policy libgl1-nvidia-glx:i386



libgl1-nvidia-glx:i386:                                                                                                                        



  Zainstalowana: (brak)                                                                                                                        



  Kandydująca: 340.96-1                                                                                                                      



  Tabela wersji:                                                                                                                               



     352.79-10~bpo8+2 0                                                                                                                        



        100 http://ftp.pl.debian.org/debian/ jessie-backports/non-free i386 Packages                                                           



     340.96-1 0                                                                                                                                



        500 http://ftp.pl.debian.org/debian/ jessie/non-free i386 Packages

Jak widać pakiet ma dwie wersje.

Spróbuj tak: 

apt-get install libgl1-nvidia-glx:i386/jessie-backports

Jak nie pójdzie to spróbuj:

find / -name libGL.so.1

I pokaż jeszcze:

apt-cache policy libgl1-mesa-glx:i386